using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace Westwind.Web.Data
{
	/// <summary>
	/// Summary description for wwWebForm.
	/// </summary>
	public class wwWebForm : System.Web.UI.Page
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		/// 
		
		BindingError[] bindingErrors = null;
		
		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			base.OnInit(e);
		}
		#endregion


		/// <summary>
		/// Do the standard DataBinding if used. Then call the custom FormBindData method
		/// to provide custom databinding. This method will bind both conventional controls
		/// that use standard Web Form binding and custom binding. If you only want custom
		/// binding use the BindData() method.
		/// </summary>
		public override void DataBind()
		{
			base.DataBind(); // 

			// *** Custom binding of this form
			wwWebDataHelper.FormBindData(this);
			
		}

		public void BindData() 
		{
			wwWebDataHelper.FormBindData(this);
		}

		/// <summary>
		/// Unbinds custom data bound controls
		/// If any errors occur these errors are loaded into the BindingErrors array of the form.
		/// </summary>
		public void UnbindData() 
		{
			this.bindingErrors = wwWebDataHelper.FormUnbindData(this);
		}
	}
}
