<%@ Register TagPrefix="ww" Namespace="Westwind.Web.Data" Assembly="wwWebDataControls" %>
<%@ Page language="c#" Codebehind="ClassPropertyBinding.aspx.cs" AutoEventWireup="false" Inherits="DataBindingSample.ClassPropertyBinding" enableViewState="False"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>ClassPropertyBinding</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="westwind.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<h1>Simple Control Databinding to simple object properties</h1>
		<blockquote>
			<P><A href="default.asp">Home</A></P>
			<P>This mechanism demonstrates binding to properties of a business object. This is 
				simple object that is created as a member and then bound to. When the form is 
				saved the data is directly bound back into the properties of the object.
			</P>
			<p></p>
			When saving the resulting values of the object are displayed as XML via a 
			serialized object graph. Any unbinding errors are also displayed. </blockquote>
		<p>
			<form id="Form1" method="post" runat="server">
				<P>
					<TABLE class="body" id="Table1" cellPadding="4" width="480" border="0" style="WIDTH: 480px; HEIGHT: 212px">
						<TR>
							<TD colSpan="2" style="WIDTH: 476px"><B>Binding to Object Properties:</B></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 86px; HEIGHT: 28px">Company:</TD>
							<TD style="WIDTH: 401px; HEIGHT: 28px"><ww:wwwebtextbox id="txtCompany" runat="server" Width="360px" BindingProperty="Text" BindingSourceObject="Customer"
									BindingSourceProperty="Company"></ww:wwwebtextbox></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 86px">Name:</TD>
							<TD style="WIDTH: 401px"><ww:wwwebtextbox id="txtName" runat="server" Width="360px" BindingProperty="Text" BindingSourceObject="Customer"
									BindingSourceProperty="Name"></ww:wwwebtextbox></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 86px">Total:</TD>
							<TD style="WIDTH: 401px"><ww:wwwebtextbox id="txtInvTotal" runat="server" Width="88px" BindingProperty="Text" BindingSourceObject="Customer"
									BindingSourceProperty="InvTotal" BindingErrorMessage=""></ww:wwwebtextbox></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 86px">Shipped:</TD>
							<TD style="WIDTH: 401px">
								<ww:wwWebCheckBox id="WwWebCheckBox1" runat="server" BindingSourceProperty="Shipped" BindingSourceObject="Customer"
									size="20" Text="Has item shipped yet"></ww:wwWebCheckBox></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 86px">Inv Date:</TD>
							<TD style="WIDTH: 401px"><ww:wwwebtextbox id="txtInvDate" runat="server" BindingProperty="Text" BindingSourceObject="Customer"
									BindingSourceProperty="InvDate" Size="40"></ww:wwwebtextbox></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 86px">Form Prop:</TD>
							<TD style="WIDTH: 401px"><ww:wwwebtextbox id="txtCustomMessage" runat="server" BindingProperty="Text" BindingSourceObject="this"
									BindingSourceProperty="CustomMessage" Size="40"></ww:wwwebtextbox></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 86px"></TD>
							<TD style="WIDTH: 401px"><asp:button id="Button2" runat="server" Text="Save"></asp:button></TD>
						</TR>
					</TABLE>
				</P>
			</form>
			<asp:label id="lblMessage" runat="server"></asp:label>
	</body>
</HTML>
